Summary:	Enable/disable write support for internal and/or external NTFS device via a friendly gui
Name:		ntfs-config
Version:	1.0.1
Release:	%mkrel 6
License: 	GPL
Group:  	Graphical desktop/GNOME
Source0:	http://flomertens.free.fr/ntfs-config/download/%{name}-%{version}.tar.bz2
Patch0:		ntfs-config-1.0.1-python2.6.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://flomertens.free.fr/ntfs-config/
BuildRequires:  pygtk2.0-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  usermode
Requires:	ntfs-3g
Requires:	pygtk2.0-libglade
Requires:       usermode
%description
This program will allow you to easily configure all of your NTFS devices to
allow write support.  For that use, it will configure them to use the ntfs-3g
driver. You'll also be able to easily disable this feature.

For more information about ntfs-3g : http://www.ntfs-3g.org

%prep
%setup -q
%patch0 -p0

%build
autoconf
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name} --with-gnome

# we provide our own consolehelper file
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/ntfs-config-root
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/ntfs-config-root <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_console.so
auth       include      system-auth
account    required     pam_permit.so
session    optional     pam_xauth.so
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#Fix missing consolehelper link
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}-root

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %_sysconfdir/pam.d/ntfs-config-root
%config(noreplace) %_sysconfdir/security/console.apps/ntfs-config-root
%{_bindir}/%{name}
%{_bindir}/%{name}-root
%_sbindir/%{name}-root
%{_datadir}/applications/*.desktop
%{_mandir}/man8/*
%{_datadir}/%{name}/*
%py_platsitedir/NtfsConfig




%changelog
* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-6mdv2010.0
+ Revision: 440347
- rebuild

* Sat Jan 10 2009 Funda Wang <fundawang@mandriva.org> 1.0.1-5mdv2009.1
+ Revision: 327889
- recognize py2.6

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-5mdv2009.0
+ Revision: 254108
- rebuild
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 11 2007 Emmanuel Andry <eandry@mandriva.org> 1.0.1-3mdv2008.1
+ Revision: 107543
- fix BR
- add missing symlink (fixes bug #34925)

* Tue Sep 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.0.1-2mdv2008.0
+ Revision: 78902
- drop gksu requires
- provide our own consolehelper file

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 53779
- new version
- update deps
- update file list


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 0.5.5-2mdv2007.0
+ Revision: 134141
- requires gksu

* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 0.5.5-1mdv2007.1
+ Revision: 133422
- buildrequires perl-XML-Parser
- Import ntfs-config

